Subject: Re: [PATCH] PAGER_ENV: remove 'S' from $LESS by default

From: Matthieu Moy <[email-masked]>
Date: Mon, 28 Apr 2014 10:59:14 +0200

David Kastrup <[email-masked]> writes:

> There seem to be a few more occurences (git-sh-setup.sh and pager.c):

Not since f82c3ffd862c7 (Wed Feb 5 2014, move LESS/LV pager environment
to Makefile).

> Searching for LESS seems to implicate a few more possible candidates in
> contrib/examples:
>
> contrib/examples/git-log.sh:LESS=-S ${PAGER:-less}
> contrib/examples/git-whatchanged.sh:LESS="$LESS -S" ${PAGER:-less}

Yes, I did see these, but I considered that contrib/examples/ should
remain a snapshot of what the commands used to look like at the time
they were shell scripts.

There's also user-manual.txt:

,----
| Basically, the initial version of `git log` was a shell script:
| 
| ----------------------------------------------------------------
| $ git-rev-list --pretty $(git-rev-parse --default HEAD "$@") | \
| 	LESS=-S ${PAGER:-less}
| ----------------------------------------------------------------
`----

that I left intact. I can change them too if people prefer.

Thanks,

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/